------------------------------------ PANDOC -----------------------------------

return {
  {
    -- Parses LIN declarations
    CodeBlock = function(codeblock)
      return lit.parse_declarations(codeblock)
    end,
  },
  {
    -- Avoids quotes conversion in stringify
    Quoted = function(quoted)
      str = pandoc.utils.stringify(quoted.content):gsub('"', '\\"')
      return '"' .. str .. '"'
    end,
    -- Parses and does LIN calls
    Inlines = function(inlines)
      return lit.parse_calls(inlines)
    end,
  }
}
